uk.gov.hmrc.play.http.ws

# WSPut

###
Related Doc: package ws

#### trait WSPut extends CorePut with PutHttpTransport with WSRequest with WSExecute

Linear Supertypes
WSExecute, WSRequest, Request, PutHttpTransport, CorePut, AnyRef, Any
Known Subclasses
WSHttp
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. WSPut
2. WSExecute
3. WSRequest
4. Request
5. PutHttpTransport
6. CorePut
7. AnyRef
8. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Abstract Value Members

1. #### abstract def PUT[I, O](url: String, body: I, headers: Seq[(String, String)] = Seq.empty)(implicit wts: Writes[I], rds: HttpReads[O], hc: HeaderCarrier, ec: ExecutionContext): Future[O]

   Definition Classes
     CorePut

2. #### abstract def PUTString[O](url: String, body: String, headers: Seq[(String, String)] = Seq.empty)(implicit rds: HttpReads[O], hc: HeaderCarrier, ec: ExecutionContext): Future[O]

   Definition Classes
     CorePut

3. #### abstract def applicableHeaders(url: String)(implicit hc: HeaderCarrier): Seq[(String, String)]

   Definition Classes
     Request

4. #### abstract def wsClient: WSClient

   Definition Classes
     WSRequest

### Concrete Value Members

1. #### final def !=(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

3. #### final def ==(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

4. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

5. #### def buildRequest[A](url: String, headers: Seq[(String, String)] = Seq.empty)(implicit hc: HeaderCarrier): play.api.libs.ws.WSRequest

   Definition Classes
     WSRequest

6. #### def clone(): AnyRef

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )

7. #### def doPut[A](url: String, body: A, headers: Seq[(String, String)])(implicit rds: Writes[A], hc: HeaderCarrier, ec: ExecutionContext): Future[HttpResponse]

   Definition Classes
     WSPut → PutHttpTransport

8. #### def doPutString(url: String, body: String, headers: Seq[(String, String)])(implicit hc: HeaderCarrier, ec: ExecutionContext): Future[HttpResponse]

   Definition Classes
     WSPut → PutHttpTransport

9. #### final def eq(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

10. #### def equals(arg0: Any): Boolean

    Definition Classes
      AnyRef → Any

11. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

12. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

13. #### def hashCode(): Int

    Definition Classes
      AnyRef → Any

14. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

15. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

16. #### final def notify(): Unit

    Definition Classes
      AnyRef

17. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

18. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

19. #### def toString(): String

    Definition Classes
      AnyRef → Any

20. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

21. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

22. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

### Inherited from WSExecute

### Inherited from WSRequest

### Inherited from Request

### Inherited from PutHttpTransport

### Inherited from CorePut

### Inherited from AnyRef

### Inherited from Any

### Ungrouped